diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-mixed-network.cc ns-3.42/examples/wireless/wifi-mixed-network.cc
--- ns-3.41/examples/wireless/wifi-mixed-network.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-mixed-network.cc	2024-05-29 15:29:46.912073100 -0700
@@ -81,7 +81,7 @@
     bool nHasTraffic;              //!< True if 802.11n stations generate traffic
     bool isUdp;                    //!< True to generate UDP traffic
     uint32_t payloadSize;          //!< Payload size in bytes
-    double simulationTime;         //!< Simulation time in seconds
+    Time simulationTime;           //!< Simulation time
 };
 
 class Experiment
@@ -130,7 +130,7 @@
     uint32_t nWifiB = params.nWifiB;
     uint32_t nWifiG = params.nWifiG;
     uint32_t nWifiN = params.nWifiN;
-    double simulationTime = params.simulationTime;
+    auto simulationTime = params.simulationTime;
     uint32_t payloadSize = params.payloadSize;
 
     NodeContainer wifiBStaNodes;
@@ -277,7 +277,7 @@
         UdpServerHelper server(port);
         ApplicationContainer serverApp = server.Install(wifiApNode);
         serverApp.Start(Seconds(0.0));
-        serverApp.Stop(Seconds(simulationTime + 1));
+        serverApp.Stop(simulationTime + Seconds(1.0));
 
         UdpClientHelper client(ApInterface.GetAddress(0), port);
         client.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -298,13 +298,13 @@
             clientApps.Add(client.Install(wifiNStaNodes));
         }
         clientApps.Start(Seconds(1.0));
-        clientApps.Stop(Seconds(simulationTime + 1));
+        clientApps.Stop(simulationTime + Seconds(1.0));
 
-        Simulator::Stop(Seconds(simulationTime + 1));
+        Simulator::Stop(simulationTime + Seconds(1.0));
         Simulator::Run();
 
-        uint64_t totalPacketsThrough = DynamicCast<UdpServer>(serverApp.Get(0))->GetReceived();
-        throughput = totalPacketsThrough * payloadSize * 8 / (simulationTime * 1000000.0);
+        double totalPacketsThrough = DynamicCast<UdpServer>(serverApp.Get(0))->GetReceived();
+        throughput = totalPacketsThrough * payloadSize * 8 / simulationTime.GetMicroSeconds();
     }
     else
     {
@@ -314,7 +314,7 @@
 
         ApplicationContainer serverApp = packetSinkHelper.Install(wifiApNode.Get(0));
         serverApp.Start(Seconds(0.0));
-        serverApp.Stop(Seconds(simulationTime + 1));
+        serverApp.Stop(simulationTime + Seconds(1.0));
 
         OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
         onoff.SetAttribute("OnTime", StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -339,13 +339,13 @@
             clientApps.Add(onoff.Install(wifiNStaNodes));
         }
         clientApps.Start(Seconds(1.0));
-        clientApps.Stop(Seconds(simulationTime + 1));
+        clientApps.Stop(simulationTime + Seconds(1.0));
 
-        Simulator::Stop(Seconds(simulationTime + 1));
+        Simulator::Stop(simulationTime + Seconds(1.0));
         Simulator::Run();
 
-        uint64_t totalPacketsThrough = DynamicCast<PacketSink>(serverApp.Get(0))->GetTotalRx();
-        throughput += totalPacketsThrough * 8 / (simulationTime * 1000000.0);
+        double totalPacketsThrough = DynamicCast<PacketSink>(serverApp.Get(0))->GetTotalRx();
+        throughput += totalPacketsThrough * 8 / simulationTime.GetMicroSeconds();
     }
     Simulator::Destroy();
     return throughput;
@@ -368,14 +368,14 @@
     params.nWifiN = 0;
     params.nHasTraffic = false;
     params.isUdp = true;
-    params.payloadSize = 1472;  // bytes
-    params.simulationTime = 10; // seconds
+    params.payloadSize = 1472; // bytes
+    params.simulationTime = Seconds(10);
 
     bool verifyResults = false; // used for regression
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("payloadSize", "Payload size in bytes", params.payloadSize);
-    cmd.AddValue("simulationTime", "Simulation time in seconds", params.simulationTime);
+    cmd.AddValue("simulationTime", "Simulation time", params.simulationTime);
     cmd.AddValue("isUdp", "UDP if set to 1, TCP otherwise", params.isUdp);
     cmd.AddValue("verifyResults",
                  "Enable/disable results verification at the end of the simulation",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-multirate.cc ns-3.42/examples/wireless/wifi-multirate.cc
--- ns-3.41/examples/wireless/wifi-multirate.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-multirate.cc	2024-05-29 15:29:46.912073100 -0700
@@ -480,7 +480,7 @@
     // Equipping the source  node with OnOff Application used for sending
     OnOffHelper onoff("ns3::UdpSocketFactory",
                       Address(InetSocketAddress(Ipv4Address("10.0.0.1"), m_port)));
-    onoff.SetConstantRate(DataRate(60000000));
+    onoff.SetConstantRate(DataRate(54000000));
     onoff.SetAttribute("PacketSize", UintegerValue(m_packetSize));
     onoff.SetAttribute("Remote", AddressValue(InetSocketAddress(ipv4AddrServer, m_port)));
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-multi-tos.cc ns-3.42/examples/wireless/wifi-multi-tos.cc
--- ns-3.41/examples/wireless/wifi-multi-tos.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-multi-tos.cc	2024-05-29 15:29:46.912073100 -0700
@@ -47,20 +47,20 @@
 int
 main(int argc, char* argv[])
 {
-    uint32_t nWifi = 4;
-    double simulationTime = 10; // seconds
-    double distance = 1.0;      // meters
-    uint16_t mcs = 7;
-    uint8_t channelWidth = 20; // MHz
-    bool useShortGuardInterval = false;
-    bool useRts = false;
+    uint32_t nWifi{4};
+    Time simulationTime{"10s"};
+    double distance{1.0}; // meters
+    uint16_t mcs{7};
+    uint8_t channelWidth{20}; // MHz
+    bool useShortGuardInterval{false};
+    bool useRts{false};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("nWifi", "Number of stations", nWifi);
     cmd.AddValue("distance",
                  "Distance in meters between the stations and the access point",
                  distance);
-    cmd.AddValue("simulationTime", "Simulation time in seconds", simulationTime);
+    cmd.AddValue("simulationTime", "Simulation time", simulationTime);
     cmd.AddValue("useRts", "Enable/disable RTS/CTS", useRts);
     cmd.AddValue("mcs", "MCS value (0 - 7)", mcs);
     cmd.AddValue("channelWidth", "Channel width in MHz", channelWidth);
@@ -151,7 +151,6 @@
             auto ipv4 = wifiApNode.Get(0)->GetObject<Ipv4>();
             const auto address = ipv4->GetAddress(1, 0).GetLocal();
             InetSocketAddress sinkSocket(address, portNumber++);
-            sinkSocket.SetTos(tosValue);
             OnOffHelper onOffHelper("ns3::UdpSocketFactory", sinkSocket);
             onOffHelper.SetAttribute("OnTime",
                                      StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -159,6 +158,7 @@
                                      StringValue("ns3::ConstantRandomVariable[Constant=0]"));
             onOffHelper.SetAttribute("DataRate", DataRateValue(50000000 / nWifi));
             onOffHelper.SetAttribute("PacketSize", UintegerValue(1472)); // bytes
+            onOffHelper.SetAttribute("Tos", UintegerValue(tosValue));
             sourceApplications.Add(onOffHelper.Install(wifiStaNodes.Get(index)));
             PacketSinkHelper packetSinkHelper("ns3::UdpSocketFactory", sinkSocket);
             sinkApplications.Add(packetSinkHelper.Install(wifiApNode.Get(0)));
@@ -166,21 +166,21 @@
     }
 
     sinkApplications.Start(Seconds(0.0));
-    sinkApplications.Stop(Seconds(simulationTime + 1));
+    sinkApplications.Stop(simulationTime + Seconds(1.0));
     sourceApplications.Start(Seconds(1.0));
-    sourceApplications.Stop(Seconds(simulationTime + 1));
+    sourceApplications.Stop(simulationTime + Seconds(1.0));
 
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-    Simulator::Stop(Seconds(simulationTime + 1));
+    Simulator::Stop(simulationTime + Seconds(1.0));
     Simulator::Run();
 
     double throughput = 0;
     for (uint32_t index = 0; index < sinkApplications.GetN(); ++index)
     {
-        uint64_t totalPacketsThrough =
+        double totalPacketsThrough =
             DynamicCast<PacketSink>(sinkApplications.Get(index))->GetTotalRx();
-        throughput += ((totalPacketsThrough * 8) / (simulationTime * 1000000.0)); // Mbit/s
+        throughput += ((totalPacketsThrough * 8) / simulationTime.GetMicroSeconds()); // Mbit/s
     }
 
     Simulator::Destroy();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-power-adaptation-distance.cc ns-3.42/examples/wireless/wifi-power-adaptation-distance.cc
--- ns-3.41/examples/wireless/wifi-power-adaptation-distance.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-power-adaptation-distance.cc	2024-05-29 15:29:46.912073100 -0700
@@ -171,7 +171,7 @@
      * \param stepsSize The step size.
      * \param stepsTime Time on each step.
      */
-    void AdvancePosition(Ptr<Node> node, int stepsSize, int stepsTime);
+    void AdvancePosition(Ptr<Node> node, int stepsSize, Time stepsTime);
     /**
      * \brief Get the Position of a node.
      *
@@ -325,12 +325,12 @@
 }
 
 void
-NodeStatistics::AdvancePosition(Ptr<Node> node, int stepsSize, int stepsTime)
+NodeStatistics::AdvancePosition(Ptr<Node> node, int stepsSize, Time stepsTime)
 {
     Vector pos = GetPosition(node);
-    double mbs = ((m_bytesTotal * 8.0) / (1000000 * stepsTime));
+    double mbs = ((m_bytesTotal * 8.0) / stepsTime.GetMicroSeconds());
     m_bytesTotal = 0;
-    double atp = m_totalEnergy / stepsTime;
+    double atp = m_totalEnergy / stepsTime.GetSeconds();
     m_totalEnergy = 0;
     m_totalTime = 0;
     m_output_power.Add(pos.x, atp);
@@ -339,7 +339,7 @@
     SetPosition(node, pos);
     NS_LOG_INFO("At time " << Simulator::Now().GetSeconds() << " sec; setting new position to "
                            << pos);
-    Simulator::Schedule(Seconds(stepsTime),
+    Simulator::Schedule(stepsTime,
                         &NodeStatistics::AdvancePosition,
                         this,
                         node,
@@ -392,20 +392,20 @@
 int
 main(int argc, char* argv[])
 {
-    double maxPower = 17;
-    double minPower = 0;
-    uint32_t powerLevels = 18;
-
-    uint32_t rtsThreshold = 2346;
-    std::string manager = "ns3::ParfWifiManager";
-    std::string outputFileName = "parf";
-    int ap1_x = 0;
-    int ap1_y = 0;
-    int sta1_x = 5;
-    int sta1_y = 0;
-    uint32_t steps = 200;
-    uint32_t stepsSize = 1;
-    uint32_t stepsTime = 1;
+    double maxPower{17};
+    double minPower{0};
+    uint32_t powerLevels{18};
+
+    uint32_t rtsThreshold{2346};
+    std::string manager{"ns3::ParfWifiManager"};
+    std::string outputFileName{"parf"};
+    int ap1_x{0};
+    int ap1_y{0};
+    int sta1_x{5};
+    int sta1_y{0};
+    uint32_t steps{200};
+    uint32_t stepsSize{1};
+    Time stepsTime{"1s"};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("manager", "PRC Manager", manager);
@@ -431,7 +431,7 @@
         std::cout << "Exiting without running simulation; steps value of 0" << std::endl;
     }
 
-    uint32_t simuTime = (steps + 1) * stepsTime;
+    Time simuTime = (steps + 1) * stepsTime;
 
     // Define the APs
     NodeContainer wifiApNodes;
@@ -498,7 +498,7 @@
     NodeStatistics statistics = NodeStatistics(wifiApDevices, wifiStaDevices);
 
     // Move the STA by stepsSize meters every stepsTime seconds
-    Simulator::Schedule(Seconds(0.5 + stepsTime),
+    Simulator::Schedule(Seconds(0.5) + stepsTime,
                         &NodeStatistics::AdvancePosition,
                         &statistics,
                         wifiStaNodes.Get(0),
@@ -522,11 +522,11 @@
     OnOffHelper onoff("ns3::UdpSocketFactory", InetSocketAddress(sinkAddress, port));
     onoff.SetConstantRate(DataRate("54Mb/s"), packetSize);
     onoff.SetAttribute("StartTime", TimeValue(Seconds(0.5)));
-    onoff.SetAttribute("StopTime", TimeValue(Seconds(simuTime)));
+    onoff.SetAttribute("StopTime", TimeValue(simuTime));
     ApplicationContainer apps_source = onoff.Install(wifiApNodes.Get(0));
 
     apps_sink.Start(Seconds(0.5));
-    apps_sink.Stop(Seconds(simuTime));
+    apps_sink.Stop(simuTime);
 
     //------------------------------------------------------------
     //-- Setup stats and data collection
@@ -555,7 +555,7 @@
                         manager + "/RateChange",
                     MakeCallback(RateCallback));
 
-    Simulator::Stop(Seconds(simuTime));
+    Simulator::Stop(simuTime);
     Simulator::Run();
 
     std::ofstream outfile("throughput-" + outputFileName + ".plt");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-power-adaptation-interference.cc ns-3.42/examples/wireless/wifi-power-adaptation-interference.cc
--- ns-3.41/examples/wireless/wifi-power-adaptation-interference.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-power-adaptation-interference.cc	2024-05-29 15:29:46.912073100 -0700
@@ -456,22 +456,22 @@
 {
     // LogComponentEnable("ConstantRateWifiManager", LOG_LEVEL_FUNCTION);
 
-    double maxPower = 17;
-    double minPower = 0;
-    uint32_t powerLevels = 18;
-
-    uint32_t rtsThreshold = 2346;
-    std::string manager = "ns3::ParfWifiManager";
-    std::string outputFileName = "parf";
-    int ap1_x = 0;
-    int ap1_y = 0;
-    int sta1_x = 10;
-    int sta1_y = 0;
-    int ap2_x = 200;
-    int ap2_y = 0;
-    int sta2_x = 180;
-    int sta2_y = 0;
-    uint32_t simuTime = 100;
+    double maxPower{17};
+    double minPower{0};
+    uint32_t powerLevels{18};
+
+    uint32_t rtsThreshold{2346};
+    std::string manager{"ns3::ParfWifiManager"};
+    std::string outputFileName{"parf"};
+    int ap1_x{0};
+    int ap1_y{0};
+    int sta1_x{10};
+    int sta1_y{0};
+    int ap2_x{200};
+    int ap2_y{0};
+    int sta2_x{180};
+    int sta2_y{0};
+    Time simuTime{"100s"};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("manager", "PRC Manager", manager);
@@ -603,7 +603,7 @@
     apps_source.Add(onoff1.Install(wifiApNodes.Get(1)));
 
     apps_sink.Start(Seconds(0.5));
-    apps_sink.Stop(Seconds(simuTime));
+    apps_sink.Stop(simuTime);
 
     //------------------------------------------------------------
     //-- Setup stats and data collection
@@ -662,7 +662,7 @@
     FlowMonitorHelper flowmon;
     Ptr<FlowMonitor> monitor = flowmon.InstallAll();
 
-    Simulator::Stop(Seconds(simuTime));
+    Simulator::Stop(simuTime);
     Simulator::Run();
 
     Ptr<Ipv4FlowClassifier> classifier = DynamicCast<Ipv4FlowClassifier>(flowmon.GetClassifier());
@@ -686,7 +686,7 @@
                                            << "\n");
             NS_LOG_INFO("  Mean jitter:   "
                         << i->second.jitterSum.GetSeconds() / (i->second.rxPackets - 1) << "\n");
-            NS_LOG_INFO("  Tx Opp: " << 1 - (statisticsAp0.GetBusyTime() / simuTime));
+            NS_LOG_INFO("  Tx Opp: " << 1 - (statisticsAp0.GetBusyTime() / simuTime.GetSeconds()));
         }
         if (t.sourceAddress == "10.1.1.4" && t.destinationAddress == "10.1.1.2")
         {
@@ -704,7 +704,7 @@
                                            << "\n");
             NS_LOG_INFO("  Mean jitter:   "
                         << i->second.jitterSum.GetSeconds() / (i->second.rxPackets - 1) << "\n");
-            NS_LOG_INFO("  Tx Opp: " << 1 - (statisticsAp1.GetBusyTime() / simuTime));
+            NS_LOG_INFO("  Tx Opp: " << 1 - (statisticsAp1.GetBusyTime() / simuTime.GetSeconds()));
         }
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-rate-adaptation-distance.cc ns-3.42/examples/wireless/wifi-rate-adaptation-distance.cc
--- ns-3.41/examples/wireless/wifi-rate-adaptation-distance.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-rate-adaptation-distance.cc	2024-05-29 15:29:46.912073100 -0700
@@ -24,7 +24,7 @@
  * highlighting the power adaptation.
  *
  * This simulation consist of 2 nodes, one AP and one STA.
- * The AP generates UDP traffic with a CBR of 54 Mbps to the STA.
+ * The AP generates UDP traffic with a CBR of 400 Mbps to the STA.
  * The AP can use any power and rate control mechanism and the STA uses
  * only Minstrel rate control.
  * The STA can be configured to move away from (or towards to) the AP.
@@ -185,21 +185,21 @@
 int
 main(int argc, char* argv[])
 {
-    uint32_t rtsThreshold = 65535;
-    std::string staManager = "ns3::MinstrelHtWifiManager";
-    std::string apManager = "ns3::MinstrelHtWifiManager";
-    std::string standard = "802.11n-5GHz";
-    std::string outputFileName = "minstrelHT";
-    uint32_t BeMaxAmpduSize = 65535;
-    bool shortGuardInterval = false;
-    uint32_t chWidth = 20;
-    int ap1_x = 0;
-    int ap1_y = 0;
-    int sta1_x = 5;
-    int sta1_y = 0;
-    int steps = 100;
-    int stepsSize = 1;
-    int stepsTime = 1;
+    uint32_t rtsThreshold{65535};
+    std::string staManager{"ns3::MinstrelHtWifiManager"};
+    std::string apManager{"ns3::MinstrelHtWifiManager"};
+    std::string standard{"802.11n-5GHz"};
+    std::string outputFileName{"minstrelHT"};
+    uint32_t BeMaxAmpduSize{65535};
+    bool shortGuardInterval{false};
+    uint32_t chWidth{20};
+    int ap1_x{0};
+    int ap1_y{0};
+    int sta1_x{5};
+    int sta1_y{0};
+    int steps{100};
+    int stepsSize{1};
+    int stepsTime{1};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("staManager", "Rate adaptation manager of the STA", staManager);
@@ -224,7 +224,7 @@
     int simuTime = steps * stepsTime;
 
     if (standard != "802.11a" && standard != "802.11b" && standard != "802.11g" &&
-        standard == "802.11n-2.4GHz" && standard != "802.11n-5GHz" && standard != "802.11ac")
+        standard != "802.11n-2.4GHz" && standard != "802.11n-5GHz" && standard != "802.11ac")
     {
         NS_FATAL_ERROR("Standard " << standard << " is not supported by this program");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-simple-adhoc.cc ns-3.42/examples/wireless/wifi-simple-adhoc.cc
--- ns-3.41/examples/wireless/wifi-simple-adhoc.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-simple-adhoc.cc	2024-05-29 15:29:46.912073100 -0700
@@ -110,22 +110,20 @@
 main(int argc, char* argv[])
 {
     std::string phyMode("DsssRate1Mbps");
-    double rss = -80;           // -dBm
-    uint32_t packetSize = 1000; // bytes
-    uint32_t numPackets = 1;
-    double interval = 1.0; // seconds
-    bool verbose = false;
+    double rss{-80};           // -dBm
+    uint32_t packetSize{1000}; // bytes
+    uint32_t numPackets{1};
+    Time interPacketInterval{"1s"};
+    bool verbose{false};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("phyMode", "Wifi Phy mode", phyMode);
     cmd.AddValue("rss", "received signal strength", rss);
     cmd.AddValue("packetSize", "size of application packet sent", packetSize);
     cmd.AddValue("numPackets", "number of packets generated", numPackets);
-    cmd.AddValue("interval", "interval (seconds) between packets", interval);
+    cmd.AddValue("interval", "interval between packets", interPacketInterval);
     cmd.AddValue("verbose", "turn on all WifiNetDevice log components", verbose);
     cmd.Parse(argc, argv);
-    // Convert to time object
-    Time interPacketInterval = Seconds(interval);
 
     // Fix non-unicast data rate to be the same as that of unicast
     Config::SetDefault("ns3::WifiRemoteStationManager::NonUnicastMode", StringValue(phyMode));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-simple-adhoc-grid.cc ns-3.42/examples/wireless/wifi-simple-adhoc-grid.cc
--- ns-3.41/examples/wireless/wifi-simple-adhoc-grid.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-simple-adhoc-grid.cc	2024-05-29 15:29:46.912073100 -0700
@@ -149,31 +149,29 @@
 int
 main(int argc, char* argv[])
 {
-    std::string phyMode("DsssRate1Mbps");
-    double distance = 100;      // m
-    uint32_t packetSize = 1000; // bytes
-    uint32_t numPackets = 1;
-    uint32_t numNodes = 25; // by default, 5x5
-    uint32_t sinkNode = 0;
-    uint32_t sourceNode = 24;
-    double interval = 1.0; // seconds
-    bool verbose = false;
-    bool tracing = false;
+    std::string phyMode{"DsssRate1Mbps"};
+    double distance{100};      // m
+    uint32_t packetSize{1000}; // bytes
+    uint32_t numPackets{1};
+    uint32_t numNodes{25}; // by default, 5x5
+    uint32_t sinkNode{0};
+    uint32_t sourceNode{24};
+    Time interPacketInterval{"1s"};
+    bool verbose{false};
+    bool tracing{false};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("phyMode", "Wifi Phy mode", phyMode);
     cmd.AddValue("distance", "distance (m)", distance);
     cmd.AddValue("packetSize", "size of application packet sent", packetSize);
     cmd.AddValue("numPackets", "number of packets generated", numPackets);
-    cmd.AddValue("interval", "interval (seconds) between packets", interval);
+    cmd.AddValue("interval", "interval (seconds) between packets", interPacketInterval);
     cmd.AddValue("verbose", "turn on all WifiNetDevice log components", verbose);
     cmd.AddValue("tracing", "turn on ascii and pcap tracing", tracing);
     cmd.AddValue("numNodes", "number of nodes", numNodes);
     cmd.AddValue("sinkNode", "Receiver node number", sinkNode);
     cmd.AddValue("sourceNode", "Sender node number", sourceNode);
     cmd.Parse(argc, argv);
-    // Convert to time object
-    Time interPacketInterval = Seconds(interval);
 
     // Fix non-unicast data rate to be the same as that of unicast
     Config::SetDefault("ns3::WifiRemoteStationManager::NonUnicastMode", StringValue(phyMode));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-simple-ht-hidden-stations.cc ns-3.42/examples/wireless/wifi-simple-ht-hidden-stations.cc
--- ns-3.41/examples/wireless/wifi-simple-ht-hidden-stations.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-simple-ht-hidden-stations.cc	2024-05-29 15:29:46.912073100 -0700
@@ -57,22 +57,22 @@
 int
 main(int argc, char* argv[])
 {
-    uint32_t payloadSize = 1472; // bytes
-    double simulationTime = 10;  // seconds
-    uint32_t nMpdus = 1;
-    uint32_t maxAmpduSize = 0;
-    bool enableRts = false;
-    double minExpectedThroughput = 0;
-    double maxExpectedThroughput = 0;
+    uint32_t payloadSize{1472}; // bytes
+    Time simulationTime{"10s"};
+    uint32_t nMpdus{1};
+    uint32_t maxAmpduSize{0};
+    bool enableRts{false};
+    double minExpectedThroughput{0};
+    double maxExpectedThroughput{0};
 
     RngSeedManager::SetSeed(1);
-    RngSeedManager::SetRun(5);
+    RngSeedManager::SetRun(7);
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("nMpdus", "Number of aggregated MPDUs", nMpdus);
     cmd.AddValue("payloadSize", "Payload size in bytes", payloadSize);
     cmd.AddValue("enableRts", "Enable RTS/CTS", enableRts);
-    cmd.AddValue("simulationTime", "Simulation time in seconds", simulationTime);
+    cmd.AddValue("simulationTime", "Simulation time", simulationTime);
     cmd.AddValue("minExpectedThroughput",
                  "if set, simulation fails if the lowest throughput is below this value",
                  minExpectedThroughput);
@@ -138,6 +138,10 @@
     Config::Set("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/BE_MaxAmpduSize",
                 UintegerValue(maxAmpduSize));
 
+    int64_t streamNumber = 20;
+    streamNumber += wifi.AssignStreams(apDevice, streamNumber);
+    streamNumber += wifi.AssignStreams(staDevices, streamNumber);
+
     // Setting mobility model
     MobilityHelper mobility;
     Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator>();
@@ -159,6 +163,8 @@
     InternetStackHelper stack;
     stack.Install(wifiApNode);
     stack.Install(wifiStaNodes);
+    streamNumber += stack.AssignStreams(wifiApNode, streamNumber);
+    streamNumber += stack.AssignStreams(wifiStaNodes, streamNumber);
 
     Ipv4AddressHelper address;
     address.SetBase("192.168.1.0", "255.255.255.0");
@@ -172,7 +178,8 @@
     UdpServerHelper server(port);
     ApplicationContainer serverApp = server.Install(wifiApNode);
     serverApp.Start(Seconds(0.0));
-    serverApp.Stop(Seconds(simulationTime + 1));
+    serverApp.Stop(simulationTime + Seconds(1.0));
+    streamNumber += server.AssignStreams(wifiApNode, streamNumber);
 
     UdpClientHelper client(ApInterface.GetAddress(0), port);
     client.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -182,7 +189,8 @@
     // Saturated UDP traffic from stations to AP
     ApplicationContainer clientApp1 = client.Install(wifiStaNodes);
     clientApp1.Start(Seconds(1.0));
-    clientApp1.Stop(Seconds(simulationTime + 1));
+    clientApp1.Stop(simulationTime + Seconds(1.0));
+    streamNumber += client.AssignStreams(wifiStaNodes, streamNumber);
 
     phy.EnablePcap("SimpleHtHiddenStations_Ap", apDevice.Get(0));
     phy.EnablePcap("SimpleHtHiddenStations_Sta1", staDevices.Get(0));
@@ -191,15 +199,15 @@
     AsciiTraceHelper ascii;
     phy.EnableAsciiAll(ascii.CreateFileStream("SimpleHtHiddenStations.tr"));
 
-    Simulator::Stop(Seconds(simulationTime + 1));
+    Simulator::Stop(simulationTime + Seconds(1.0));
 
     Simulator::Run();
 
-    uint64_t totalPacketsThrough = DynamicCast<UdpServer>(serverApp.Get(0))->GetReceived();
+    double totalPacketsThrough = DynamicCast<UdpServer>(serverApp.Get(0))->GetReceived();
 
     Simulator::Destroy();
 
-    double throughput = totalPacketsThrough * payloadSize * 8 / (simulationTime * 1000000.0);
+    auto throughput = totalPacketsThrough * payloadSize * 8 / simulationTime.GetMicroSeconds();
     std::cout << "Throughput: " << throughput << " Mbit/s" << '\n';
     if (throughput < minExpectedThroughput ||
         (maxExpectedThroughput > 0 && throughput > maxExpectedThroughput))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-simple-infra.cc ns-3.42/examples/wireless/wifi-simple-infra.cc
--- ns-3.41/examples/wireless/wifi-simple-infra.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-simple-infra.cc	2024-05-29 15:29:46.912073100 -0700
@@ -142,12 +142,12 @@
 int
 main(int argc, char* argv[])
 {
-    std::string phyMode("DsssRate1Mbps");
-    double rss = -80;           // -dBm
-    uint32_t packetSize = 1000; // bytes
-    uint32_t numPackets = 1;
-    Time interval = Seconds(1.0);
-    bool verbose = false;
+    std::string phyMode{"DsssRate1Mbps"};
+    double rss{-80};           // -dBm
+    uint32_t packetSize{1000}; // bytes
+    uint32_t numPackets{1};
+    Time interval{"1s"};
+    bool verbose{false};
 
     CommandLine cmd(__FILE__);
     cmd.AddValue("phyMode", "Wifi Phy mode", phyMode);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/wireless/wifi-simple-interference.cc ns-3.42/examples/wireless/wifi-simple-interference.cc
--- ns-3.41/examples/wireless/wifi-simple-interference.cc	2024-02-09 14:44:07.845789700 -0800
+++ ns-3.42/examples/wireless/wifi-simple-interference.cc	2024-05-29 15:29:46.916073000 -0700
@@ -160,22 +160,22 @@
 int
 main(int argc, char* argv[])
 {
-    std::string phyMode("DsssRate1Mbps");
-    double Prss = -80;           // -dBm
-    double Irss = -95;           // -dBm
-    double delta = 0;            // microseconds
-    uint32_t PpacketSize = 1000; // bytes
-    uint32_t IpacketSize = 1000; // bytes
-    bool verbose = false;
+    std::string phyMode{"DsssRate1Mbps"};
+    double Prss{-80};           // -dBm
+    double Irss{-95};           // -dBm
+    double delta{0};            // microseconds
+    uint32_t PpacketSize{1000}; // bytes
+    uint32_t IpacketSize{1000}; // bytes
+    bool verbose{false};
 
     // these are not command line arguments for this version
-    uint32_t numPackets = 1;
-    double interval = 1.0;       // seconds
-    double startTime = 10.0;     // seconds
-    double distanceToRx = 100.0; // meters
+    uint32_t numPackets{1};
+    Time interPacketInterval{"1s"};
+    Time startTime{"10s"};
+    double distanceToRx{100.0}; // meters
 
-    double offset = 91; // This is a magic number used to set the
-                        // transmit power, based on other configuration
+    double offset{91}; // This is a magic number used to set the
+                       // transmit power, based on other configuration
     CommandLine cmd(__FILE__);
     cmd.AddValue("phyMode", "Wifi Phy mode", phyMode);
     cmd.AddValue("Prss", "Intended primary received signal strength (dBm)", Prss);
@@ -185,8 +185,6 @@
     cmd.AddValue("IpacketSize", "size of interfering packet sent", IpacketSize);
     cmd.AddValue("verbose", "turn on all WifiNetDevice log components", verbose);
     cmd.Parse(argc, argv);
-    // Convert to time object
-    Time interPacketInterval = Seconds(interval);
 
     // Fix non-unicast data rate to be the same as that of unicast
     Config::SetDefault("ns3::WifiRemoteStationManager::NonUnicastMode", StringValue(phyMode));
@@ -269,7 +267,7 @@
                                         << " dBm at time offset=" << delta << " ms");
 
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(startTime),
+                                   startTime,
                                    &GenerateTraffic,
                                    source,
                                    PpacketSize,
@@ -277,7 +275,7 @@
                                    interPacketInterval);
 
     Simulator::ScheduleWithContext(interferer->GetNode()->GetId(),
-                                   Seconds(startTime + delta / 1000000.0),
+                                   startTime + Seconds(delta / 1000000.0),
                                    &GenerateTraffic,
                                    interferer,
                                    IpacketSize,
